﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using SpatialWorx.CustomRenderer;
using ThinkGeo.Core;
using ThinkGeo.UI.iOS;
using UIKit;

namespace ThinkgeoTestCase.iOS
{
    class MapControlImpl : IMapControlInterface
    {
        LayerOverlay feaOverlay = null;
        public void AddOvelay(FeatureLayer feaLayer)
        {
            if (feaOverlay == null)
            {
                feaOverlay = new LayerOverlay();
                GlobalPropertiesUI.BOVMapViewControl.Overlays.Add(feaOverlay);
            }
            feaLayer.Open();
            feaOverlay.Layers.Add(feaLayer);
        }

        public void CenterAt(PointShape pointShape)
        {
            GlobalPropertiesUI.BOVMapViewControl.CenterAt(pointShape);
        }

        public void CloseOverlays()
        {
            GlobalPropertiesUI.BOVMapViewControl.Overlays.Clear();
        }

        public PointShape GetMapCenterPoint()
        {
            return GlobalPropertiesUI.BOVMapViewControl.CurrentExtent.GetCenterPoint();
        }

        public void InitBaseMap()
        {

            BingMapsOverlay bingOverlay = null;
            bingOverlay = new BingMapsOverlay("appid");
            bingOverlay.MapType = BingMapsMapType.AerialWithLabels;
            GlobalPropertiesUI.BOVMapViewControl.Overlays.Add( bingOverlay);

            GlobalPropertiesUI.BOVMapViewControl.MapUnit = GeographyUnit.Meter;
            GlobalPropertiesUI.BOVMapViewControl.ZoomLevelSet = new BingMapsZoomLevelSet();
            GlobalPropertiesUI.BOVMapViewControl.CurrentExtent = new RectangleShape(-8244819.59273889, 4989141.61093843, -8234799.27274986, 4979128.59344546);
            GlobalPropertiesUI.BOVMapViewControl.Refresh();

        }
    }
}