﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ThinkGeo.Core;
using ThinkgeoTestCase.CustomRenderer;
using TinyIoC;
using Xamarin.Forms;

namespace ThinkgeoTestCase
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class TGTest : ContentPage
    {
        public InMemoryFeatureLayer feaLayer = null;

        public TGTest()
        {
            InitializeComponent();
            BOVMapView map = new BOVMapView();
            mainstack.Children.Add(map);
            testButton.Clicked += TestButton_Clicked;
            testButton.BackgroundColor = Color.LightSteelBlue;
            mainstack.Children.Add(testButton);

        }

        private void TestButton_Clicked(object sender, EventArgs e)
        {
            Feature fea = new Feature( TinyIoCContainer.Current.Resolve<IMapControlInterface>().GetMapCenterPoint());
            feaLayer.InternalFeatures.Add(fea);
            feaLayer.IsVisible = true;
            TinyIoCContainer.Current.Resolve<IMapControlInterface>().CenterAt(fea.GetShape().GetCenterPoint());
            feaLayer.RequestDrawing();
        }

        internal void InitControl()
        {
            TinyIoCContainer.Current.Resolve<IMapControlInterface>().InitBaseMap();
            
            feaLayer = new InMemoryFeatureLayer();
            feaLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = new PointStyle(PointSymbolType.Circle, 17, new GeoSolidBrush(GeoColors.Red), new GeoPen(GeoColors.Blue, 1));
            feaLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            TinyIoCContainer.Current.Resolve<IMapControlInterface>().AddOvelay(feaLayer);


        }

        private void layerOffON_Clicked(object sender, EventArgs e)
        {
            feaLayer.IsVisible = !feaLayer.IsVisible;
            feaLayer.RequestDrawing();
        }
    }
}
